class DiscussDemosController < ApplicationController
  def index

    @discuss_demo_list = DiscussDemo.where("body is not null").order("created_at desc").page(params[:page] || 1).per(10)
  end

  def new
    @discuss_demo = DiscussDemo.create
    @discuss_demo.save!
    @discuss_demo
  end

  def create

  end

  def update
    @discuss_demo = DiscussDemo.find(params[:id])
    @discuss_demo.update_attributes(:title =>  params[:discuss_demo][:title],:body =>  params[:discuss_demo][:body])
    redirect_to :controller=> 'discuss_demos',:action => 'show',:id => params[:id]
  end

  def delete

  end

  def destroy
    asset = Kindeditor::Asset.find_by_owner_id(params[:id])
    if !asset.nil?
      filepath = File.join(Rails.root,"public","files","uploads",
                           asset[:created_at].to_s.gsub("+0800","").to_datetime.strftime("%Y%m").to_s,
                           asset[:asset].to_s)
      File.delete(filepath) if File.exist?filepath
    end
    DiscussDemo.destroy(params[:id])
    redirect_to :controller=> 'discuss_demos',:action => 'index'
  end

  def show
    @discuss_demo = DiscussDemo.find(params[:id])
  end
end
